package com.example.ayudapy.db

import androidx.lifecycle.AndroidViewModel
import androidx.lifecycle.LiveData
import android.app.Application
import com.example.ayudapy.db.PedidoSave
import com.example.ayudapy.db.pedidoDataBase


class PedidoViewModel(application:Application): AndroidViewModel(application){
    private val db: pedidoDataBase = pedidoDataBase.getInstance(application)
    internal val allPedidos : LiveData<List<PedidoSave>> = db.daoPedido().getAll()

    fun insert(student: PedidoSave){
        db.daoPedido().insert(student)
    }
    fun delete(student: PedidoSave){
        db.daoPedido().delete(student)
    }
}